> For the complete documentation index, see [llms.txt](https://docs.payshield.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payshield.ai/txfind-payreveal-order-insight-ican/provider/ems-provider-search.md).

# EMS Provider Search

Search from EMS

## EMS Provider Search

> Search for an EMS enabled merchant's transaction details.

```json
{"openapi":"3.0.1","info":{"title":"TxFind API's Version 2 Endpoints","version":"2.0.0"},"tags":[{"name":"Provider","description":"Call related to transaction details."}],"servers":[{"url":"https://{baseUrl}","description":"Current server"}],"security":[{"bearerAuth":[]}],"components":{"securitySchemes":{"bearerAuth":{"type":"http","scheme":"bearer","bearerFormat":"JWT"}},"schemas":{"getTransactionDetailsReturn":{"type":"array","items":{"type":"object","properties":{"merchantInformation":{"type":"object","properties":{"merchantContactPhone":{"type":"string"},"storeDetails":{"type":"object","properties":{"storeName":{"type":"string"}}},"merchantUrl":{"type":"string"},"merchantName":{"type":"string"}}},"receipt":{"type":"object","required":["productsPurchasedList"],"properties":{"orderDate":{"type":"string","format":"date-time"},"orderNumber":{"type":"string"},"purchaseCategory":{"type":"string"},"invoiceNumber":{"type":"string"},"downloadDateTime":{"type":"string","format":"date-time"},"subTotalAmount":{"type":"object","properties":{"amount":{"type":"number","format":"float"},"currency":{"type":"string"}}},"taxAmount":{"type":"object","properties":{"amount":{"type":"number","format":"float"},"currency":{"type":"string"}}},"taxDescription":{"type":"string"},"shippingAndHandlingAmount":{"type":"object","properties":{"amount":{"type":"number","format":"float"},"currency":{"type":"string"}}},"orderTotalAmount":{"type":"object","properties":{"amount":{"type":"number","format":"float"},"currency":{"type":"string"}}},"paymentInformation":{"type":"object","properties":{"paymentTotalAmount":{"type":"object","properties":{"amount":{"type":"number","format":"float"},"currency":{"type":"string"}}}}},"productsPurchasedList":{"type":"array","items":{"type":"object","required":["productDescription"],"properties":{"quantity":{"type":"integer"},"creditReimbursementSequenceNumber":{"type":"integer"},"unitPriceAmount":{"type":"object","properties":{"amount":{"type":"number","format":"float"},"currency":{"type":"string"}}},"productUrl":{"type":"string","format":"uri"},"productType":{"type":"string"},"productDescription":{"type":"string"},"artistOrSeller":{"type":"string"},"deliveryDetails":{"type":"object","properties":{"shippingCarrier":{"type":"string"},"trackingNumber":{"type":"string"},"dateOfShipment":{"type":"string","format":"date-time"},"dateOfDelivery":{"type":"string","format":"date-time"},"deliveryStatus":{"type":"string"},"otherStatusDescription":{"type":"string"}}}}}}}},"customerInformation":{"type":"object","properties":{"accountId":{"type":"string"}}},"device":{"type":"object","properties":{"ipAddress":{"type":"string"},"deviceFingerprint":{"type":"string"},"deviceId":{"type":"string"}}},"deliveryAddress":{"type":"object","properties":{"address1":{"type":"string"}}}}}}}},"paths":{"/api/v2/provider/ems/getTransactionDetails":{"post":{"tags":["Provider"],"summary":"EMS Provider Search","description":"Search for an EMS enabled merchant's transaction details.","operationId":"emsGetTransactionDetails","requestBody":{"description":"the JSON payload","content":{"application/json":{"schema":{"type":"object","required":["txShieldOICartReference","source","cardBin","cardLast4","transactionDate"],"properties":{"txShieldOICartReference":{"type":"string","description":"TxShield OI Reference number"},"source":{"type":"string","description":"Source of the transaction. Must be \"EMS\"."},"cardBin":{"maxLength":8,"type":"string","description":"The first 6-8 digits card number."},"cardLast4":{"maxLength":4,"type":"string","description":"The last 4 digits card number."},"transactionAmount":{"type":"object","properties":{"amount":{"description":"Amout of purchase transactions.","type":"number"},"currency":{"description":"ISO 4217 currency code.","type":"string","maxLength":3}}},"transactionDate":{"maxLength":20,"type":"string","description":"Transaction Date formatted in ISO 8601 20 charactor long without milliseconds (Example = YYYY-MM-DDThh:mm:ssZ)"}}}}},"required":true},"responses":{"200":{"description":"Response","content":{"application/json":{"schema":{"allOf":[{"$ref":"#/components/schemas/getTransactionDetailsReturn"},{"type":"object","properties":{"merchantId":{"type":"string","description":"The merchant's unique identifier."},"txShieldOICartReference":{"type":"string","description":"The TxShield OI Cart Reference for the transaction."},"paymentType":{"type":"string","description":"Payment type used in the transaction."},"paymentDescriptor":{"type":"string","description":"Payment descriptor for the transaction."}}}]}}}},"400":{"description":"Error","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string"}}}}}},"401":{"description":"Unauthorized","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string"}}}}}},"403":{"description":"Forbidden - Merchant not enrolled with EMS service","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string"}}}}}},"404":{"description":"Not found","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string"}}}}}},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"type":"object","properties":{"msg":{"type":"string"}}}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payshield.ai/txfind-payreveal-order-insight-ican/provider/ems-provider-search.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
